package com.xxl.job.executor.batch.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xxl.job.executor.batch.entity.KuaiShouCreative;

import java.util.List;

/**
 * @Description: 快手-创意信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
public interface IKuaiShouCreativeService extends IService<KuaiShouCreative> {

    void replaceBatch(List<KuaiShouCreative> creatives);

    /**
     * 获取MD5
     *
     * @param creativeId
     * @return
     */
    String getCodeByCreativeId(Long creativeId);

    /**
     * 创意条数
     *
     * @param accountId
     * @param unitId
     * @return
     */
    Integer checkCreativeCount(Long accountId, Long unitId);

    void syncCreative(Long accountId, String accessToken, Long campaignId, Integer page);

    /**
     * 获取当前创意创建数
     * @param accountId
     * @param startTime
     * @return
     */

    Integer getCreateCount(Long accountId, String startTime);
}
